<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_6e38cb9e043a07cd69a17" . "11a6704c62a" => base64_decode("cGFyZW50X2l" . "k"), "_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG1zZw=" . "="), "_0c519e721cc3079fbb252" . "fbd60fd7904" => base64_decode("dG" . "lt" . "ZQ" . "=="), "_d45d4542485f431c8ce569c3b78bf6a" . "c" => base64_decode("ZG9jdW1lbnRzLnJldmlldy5jb3VsZG50X3NhdmVfcmV2aWV3" . "X29iamVjdF9wcm9wZXJ0aWVzX25vdF9kZWZpbmVk"), "objec" . "t_id" => base64_decode("b2JqZWN0" . "X2lk"), "_bc766c1c3e88d30acea7" . "056ca8cfb584" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX" . "3JldmlldyBXSEVSRSBpZCA9IG" . "ludDppZA=="), "_940d33ece5d0278f365" . "b117a2a9dc290" => base64_decode("cmV2aWV" . "3X3RpbW" . "U="), "aggreg" . "ation" => base64_decode("YWdnc" . "mVnYX" . "Rpb24" . "="), "_8d7dd6fb2fe7" . "74b3824926484" . "ffba679" => base64_decode("SU5TRVJUIElOVE8gRVJNU19yZXZpZXcgKG9iamVjdF9pZCwgYWdncmVnYXRpb24sIHBhcmVudF9pZCwgcmV2aWV3X3RpbWUsIHJldmlld19ub3RlKSBWQUxVRVMgKGludDpvYmplY3RfaWQsIGludDphZ2dyZW" . "dhdGlvbiwgaW50OnBhcmVudF9pZCwgaW50OnJldmlld190aW1lLCBzdHI6cmV2aWV3X25vdGUp"), "_e21aea73c33e96ef626d3b3bf9623" . "593" => base64_decode("YXJyYXlfcHVz" . "aA=="), "_8631966daa49670ca93" . "9099decd110da" => base64_decode("ZG9jdW1lbnRzLnJldmlldy5jb3VsZG50X3" . "NhdmVfcmV2aWV3"), "_fdcaab7e53b550" . "2b037e537152ac1" . "4e4" => base64_decode("REVMRVRFIEZST00gRVJNU19yZXZpZXcgV0hFUkUgaWQ9" . "aW50Omlk"), "i" . "d" => base64_decode("aW" . "Q="), "_7938a4bc6dee44" . "de9e55848689338" . "3e8" => base64_decode("U0VMRUNUIGlkIEZST00gRVJNU19yZXZpZXcgV" . "0hFUkUgb2JqZWN0X2lkPWludDpvYmplY3RfaW" . "QgQU5EIGFnZ3JlZ2F0aW9uPWludDphZ2dyZWd" . "hdGlvbiBPUkRFUiBCWSByZXZpZXdfdGltZQ=="), "_31d3a45fa3ac6bf665e24" . "2867c47d36d" => base64_decode("cmV2aWV3X25vd" . "GU="), "_86e12158" . "655092a98" . "38a837f6c" . "f6d639" => base64_decode("Li4vY29tbW9uL" . "2VybXNfcGtnLn" . "BocA=="));
use Claromentis\Core\DAL;
class ERMSReview extends ErrorHandler
{
    var $id;
    var $object_id;
    var $aggregation;
    var $parent_id = 0;
    var $review_time;
    var $review_note;
    public function __construct($id = 0)
    {
        if ($id) {
            return $this->GetByID($id);
        }
        return true;
    }
    public function SetObject($aggregation, $object_id, $_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->aggregation = $aggregation;
        $this->object_id = $object_id;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
    }
    function GetObject()
    {
        require_once $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_86e12158655092a9838a837f6" . "cf6d639"];
        global $g_erms_browser;
        if ($this->aggregation == AGGREGATION_DATA) {
            return $g_erms_browser->GetData($this->object_id, $this->parent_id);
        } else {
            return $g_erms_browser->GetERMSObject($this->object_id, $this->aggregation);
        }
    }
    function SetTime($_c8b38c7133c2e8460c1cca42230ac6c2)
    {
        $this->review_time = $_c8b38c7133c2e8460c1cca42230ac6c2;
    }
    function GetTime()
    {
        return $this->review_time;
    }
    function SetNote($_42f4f5c47629333345a44de2ac08c8b4)
    {
        $this->review_note = $_42f4f5c47629333345a44de2ac08c8b4;
    }
    function GetNote()
    {
        return $this->review_note;
    }
    function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (empty($this->object_id) || empty($this->aggregation)) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d45d4542485f431c8ce569c3b78bf6" . "ac"]));
        }
        
        
        
        if (!$this->parent_id) {
            $this->parent_id = 0;
        }
        $_25b9db1c0742750fdff46948cbf57c67 = empty($this->review_time) ? $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c519e721cc3079fbb252fbd60fd7" . "904"]() : $this->review_time;
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8d7dd6fb2fe774b3824926484ff" . "ba679"], $this->object_id, $this->aggregation, $this->parent_id, $_25b9db1c0742750fdff46948cbf57c67, $this->review_note);
        $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
        $this->id = $db->insertID();
        if (!$this->id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8631966daa4" . "9670ca939099" . "decd110da"]));
        }
        
        
        
        
        
        
        
        
        
        return true;
    }
    function Delete()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fdcaab7e53b5502b037" . "e537152ac14e4"], $this->id);
        $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
    }
    function GetByID($id)
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_bc766c1c3e88d" . "30acea7056ca8c" . "fb584"], $id);
        $_189840d11056515e52402d1412a0b6e4 = $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->id = $id;
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["objec" . "t_id"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["aggregati" . "on"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_6e38cb9e043a07cd69a1711a67" . "04c62a"]];
            $this->review_time = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_940d33ece5d0278" . "f365b117a2a9dc29" . "0"]];
            $this->review_note = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_31d3a45fa3" . "ac6bf665e24" . "2867c47d36d"]];
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    
    
    
    
    public static function GetAllReviewByObject($_01ae63927cddbad58fea82ff8663c880, $_815e45738c8609a46c37fa19303a9af4 = 0)
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $_f274035cf280fb57c0c9ef54d849a83d = array();
        $object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7938a4bc6dee44de9e5584" . "86893383e8"], $object_id, $aggregation);
        if ($_815e45738c8609a46c37fa19303a9af4) {
            $_1b4e93bb4d445b083d9fcb016416a70d->setLimit(1, 0);
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e21aea73c33e96ef626d3b3bf962" . "3593"]($_f274035cf280fb57c0c9ef54d849a83d, new ERMSReview($_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"]]));
        }
        if ($_815e45738c8609a46c37fa19303a9af4) {
            return $_f274035cf280fb57c0c9ef54d849a83d[0];
        }
        return $_f274035cf280fb57c0c9ef54d849a83d;
    }
}